tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "CHEOK,MELISSA (HP-PaloAlto,ex1)" <melissa_ch...@hp.com>
Subject Configuring Socks for Tomcat
Date Tue, 09 Jan 2001 21:08:58 GMT

I am trying to deploy a SOAP server on Tomcat, and I need to
specify that it uses a Socks proxy. 

I have tested the soap server and it works. But now, I cannot
seem to find out how to setup the Socks proxy. I have set
the TOMCAT_OPTS to the appropriate value :
-DsocksProxyHost=my-socks-server -DsocksProxyPort=1080

When I shut down Tomcat, I get the following error:
java.net.SocketException: Reply from SOCKS server had bad version 4

Which shows that I am sort of talking to the SOCKS server, but
I think it wants version 5? In the Apache book that I've been
looking at, it says I should be able to enable the Rule for
SOCKS5, but I am on Windows NT, which does not seem to have that
ability.

Any suggestions?

Thanks for any help!

Regards,
Melissa Cheok

Mime
View raw message